< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package performance
  Definition Classes
    hmrc
-  package conf
  Definition Classes
    performance
- Configuration
- HttpConfiguration
- JourneyConfiguration
- JourneyDefinition
- PerftestConfiguration
- ServicesConfiguration

t

uk.gov.hmrc.performance.conf

# Configuration 

###

#### trait Configuration extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
HttpConfiguration, JourneyConfiguration, PerftestConfiguration, ServicesConfiguration, PerformanceTestRunner, PerformanceTestRunnerSetup
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Configuration
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  lazy val applicationConfig: Config
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hasProperty(property: String): Boolean
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  def keys(property: String): List[String]
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def readProperty(property: String, default: String): String
19.  def readProperty(property: String): String
20.  def readPropertyBooleanOption(property: String): Option[Boolean]
21.  def readPropertyList(property: String): List[String]
22.  def readPropertyOption(property: String): Option[String]
23.  def readPropertySet(property: String): Set[String]
24.  def readPropertySetOrEmpty(property: String): Set[String]
25.  lazy val runLocal: Boolean
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped